database_api.list_vesting_delegations
since HF17
Purpose
返回权益份额委托(vesting delegation)列表。参数:start:array、limit:int、order:string
limit最大 1000。order可取以下值:by_delegation- 按委托排序start为两个值组成的数组:delegator、delegatee
start (array) | limit (int) | order (string) | |
|---|---|---|---|
["", ""] | 10 | by_delegation | 查询委托,限 10 条结果,按委托排序。 |
另见:Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegations",
"params": {
"start": [
"",
""
],
"limit": 10,
"order": "by_delegation"
},
"id": 1
}'Response
RESPONSE
json
{
"delegations": [
{
"id": 554317,
"delegator": "a-0-0-0",
"delegatee": "a-0-0",
"vesting_shares": {
"amount": "6141067173",
"precision": 6,
"nai": "@@000000037"
},
"min_delegation_time": "2018-01-24T22:23:54"
}
]
}